org.apache.flume.channel.jdbc.impl

## Class PersistableEvent.Builder

- java.lang.Object
- - org.apache.flume.channel.jdbc.impl.PersistableEvent.Builder

- Enclosing class:
    PersistableEvent

      public static class PersistableEvent.Builder
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PersistableEvent.Builder(String channelName, long eventId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `PersistableEvent` | `build()`
    `PersistableEvent.Builder` | `setBasePayload(byte[] basePayload)`
    `PersistableEvent.Builder` | `setChannel(String channel)`
    `PersistableEvent.Builder` | `setEventId(long eventId)`
    `PersistableEvent.Builder` | `setHeader(long headerId, String baseName, String baseValue)`
    `PersistableEvent.Builder` | `setHeaderNameSpill(long headerId, String nameSpill)`
    `PersistableEvent.Builder` | `setHeaderValueSpill(long headerId, String valueSpill)`
    `PersistableEvent.Builder` | `setSpillPayload(byte[] spillPayload)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PersistableEvent.Builder

          public PersistableEvent.Builder(String channelName,
                                  long eventId)

  - ### Method Detail

    - #### setEventId

          public PersistableEvent.Builder setEventId(long eventId)

    - #### setChannel

          public PersistableEvent.Builder setChannel(String channel)

    - #### setBasePayload

          public PersistableEvent.Builder setBasePayload(byte[] basePayload)

    - #### setSpillPayload

          public PersistableEvent.Builder setSpillPayload(byte[] spillPayload)

    - #### setHeader

          public PersistableEvent.Builder setHeader(long headerId,
                                           String baseName,
                                           String baseValue)

    - #### setHeaderNameSpill

          public PersistableEvent.Builder setHeaderNameSpill(long headerId,
                                                    String nameSpill)

    - #### setHeaderValueSpill

          public PersistableEvent.Builder setHeaderValueSpill(long headerId,
                                                     String valueSpill)

    - #### build

          public PersistableEvent build()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.